List Products

Returns a list of Products. Optional filter parameters can be passed in.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

idintegerOptional
Filter items by product ID.
id:inlist of integersOptional

Pass a comma-separated list to filter by one or more product IDs.

channel_id:inlist of integersOptional

Pass a comma-separated list to filter by one or more channel IDs.

id:not_inlist of integersOptional

Pass a comma-separated list to exclude one or more product IDs.

includelist of enumsOptional

A comma-separated list of sub-resources to return with a product object. When you specify options or modifiers, results are limited to 10 per page.

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

directionenumOptional

Sort direction. Acceptable values are: asc, desc.

Allowed values:
sortenumOptional

Field name to sort by. Note: Since ID increments when new products are added, you can use the ID value to sort by product create date.

categories:inlist of integersOptional

A comma-separated list of category IDs. Returns a list of products that are in all the categories specified.

id:minintegerOptional
id:maxintegerOptional
id:greaterintegerOptional
id:lessintegerOptional
namestringOptional
Filter items by name.
mpnstringOptional

Filter items by Manufacturer Part Number (MPN).

upcstringOptional
Filter items by UPC.
pricedoubleOptional
Filter items by price.
weightdoubleOptional
Filter items by weight.
conditionenumOptional
Filter items by condition.
Allowed values:
brand_idintegerOptional
Filter items by brand ID.
date_modifieddateOptional

Filter items by date_modified.

date_modified:maxstringOptional

Filter items by date_modified. If the date modified:max does not include hours, minutes and seconds, the API automatically adds the current time of the request to the date. For example, date_modified:max=2025-01-15 or date_modified:max=2025-01-15T00:03:17Z.

date_modified:minstringOptional

Filter items by date_modified. If the date modified:min does not include hours, minutes and seconds, the API automatically adds the current time of the request to the date. For example, date_modified:min=2025-01-15 or date_modified:min=2025-01-15T00:03:17Z.

date_last_importeddateOptional

Filter items by date_last_imported.

date_last_imported:notdateOptional

Filter products by specifying a date they were NOT last imported. For example, date_last_imported:not=2015-08-21T22%3A53%3A23%2B00%3A00.

date_last_imported:maxdateOptional

Filter items by date_last_imported. For example, date_last_imported:max=2015-08-21T22%3A53%3A23%2B00%3A00.

date_last_imported:mindateOptional

Filter items by date_last_imported. For example, date_last_imported:min=2015-08-21T22%3A53%3A23%2B00%3A00.

is_visiblebooleanOptional
Filter items based on whether the product is currently visible on the storefront.
is_free_shippingintegerOptional

Filter items by is_free_shipping. 1 for true, 0 for false.

inventory_levelintegerOptional

Filter items by inventory_level.

inventory_level:inlist of integersOptional

A comma-separated list of inventory levels. Returns a list of all products that have any of the listed inventory amounts.

inventory_level:not_inlist of integersOptional

A comma-separated list of inventory levels. Returns a list of all products that have inventory amounts other than those specified.

inventory_level:minintegerOptional
inventory_level:maxintegerOptional
inventory_level:greaterintegerOptional
inventory_level:lessintegerOptional
inventory_lowintegerOptional

Filter items by inventory_low. Values: 1, 0.

out_of_stockintegerOptional

Filter items by out_of_stock. To enable the filter, pass out_of_stock=1.

total_soldintegerOptional

Filter items by total_sold.

typeenumOptional
Filter items by type.
Allowed values:
categoriesintegerOptional

Filter items by categories. If a product is in more than one category, using this query will not return the product. Instead use categories:in=12.

keywordstringOptional

Filter items by keywords found in the name, description, or sku fields, or in the brand name.

keyword_contextenumOptional

Set context used by the search algorithm to return results targeted towards the specified group. Use merchant to help merchants search their own catalog. Use shopper to return shopper-facing search results.

Allowed values:
availabilityenumOptional

Filter items by availability. Values are: available, disabled, preorder.

Allowed values:
skustringOptional

Filter items by main SKU. To filter by variant SKU, see Get all variants.

sku:inlist of stringsOptional

A comma-separated list of SKUs. Returns a list of products with those SKUs.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.